
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This patch adds support for the 750CX based ibook2 600Mhz to the cpufreq
powermac driver.

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/pmac_cpufreq.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

diff -puN arch/ppc/platforms/pmac_cpufreq.c~ppc32-pmac-cpufreq-for-ibook-2-600 arch/ppc/platforms/pmac_cpufreq.c
--- 25/arch/ppc/platforms/pmac_cpufreq.c~ppc32-pmac-cpufreq-for-ibook-2-600	2004-09-11 17:03:48.522050112 -0700
+++ 25-akpm/arch/ppc/platforms/pmac_cpufreq.c	2004-09-11 17:03:48.525049656 -0700
@@ -498,7 +498,7 @@ static int __pmac pmac_cpufreq_init_7447
  *  - Titanium PowerBook 800 (PMU based, 667Mhz & 800Mhz)
  *  - Titanium PowerBook 400 (PMU based, 300Mhz & 400Mhz)
  *  - Titanium PowerBook 500 (PMU based, 300Mhz & 500Mhz)
- *  - iBook2 500 (PMU based, 400Mhz & 500Mhz)
+ *  - iBook2 500/600 (PMU based, 400Mhz & 500/600Mhz)
  *  - iBook2 700 (CPU based, 400Mhz & 700Mhz, support low voltage)
  *  - Recent MacRISC3 laptops
  *  - iBook G4s and PowerBook G4s with 7447A CPUs
@@ -533,11 +533,8 @@ static int __init pmac_cpufreq_setup(voi
 		   machine_is_compatible("PowerBook3,5") ||
 		   machine_is_compatible("MacRISC3")) {
 		pmac_cpufreq_init_MacRISC3(cpunode);
-	/* Else check for iBook2 500 */
+	/* Else check for iBook2 500/600 */
 	} else if (machine_is_compatible("PowerBook4,1")) {
-		/* We only know about 500Mhz model */
-		if (cur_freq < 450000 || cur_freq > 550000)
-			goto out;
 		hi_freq = cur_freq;
 		low_freq = 400000;
 		set_speed_proc = pmu_set_cpu_speed;
_
